--- grx246/pascal/grx.pas.orig	Sun Mar 28 23:15:23 2004
+++ grx246/pascal/grx.pas	Fri Sep 17 19:17:49 2004
@@ -52,6 +52,11 @@
 {$else}
 {$define varasmname external; asmname}
 {$endif}
+{$if __GPC_RELEASE__ < 20040917}
+type
+  CInteger = Integer;
+  CCardinal = Cardinal;
+{$endif}
 
 const
   MaxVarSize = MaxInt div 8;
@@ -70,7 +75,7 @@
   { This definition is compatible with the grx
     definition 'int pts[][2]' used to define polygons }
   PointType = record
-    x, y: Integer;
+    x, y: CInteger
   end;
 
 const
@@ -94,9 +99,9 @@
   Gr_Width_Height_Graphics             = 6;  { Integer w,Integer h }
   Gr_Biggest_Noninterlaced_Graphics    = 7;
   Gr_Biggest_Graphics                  = 8;
-  Gr_Width_Height_Color_Graphics       = 9;  { Integer w,Integer h,Word nc }
-  Gr_Width_Height_Color_Text           = 10; { Integer w,Integer h,Word nc }
-  Gr_Custom_Graphics                   = 11; { Integer w,Integer h,Word nc,Integer vx,Integer vy }
+  Gr_Width_Height_Color_Graphics       = 9;  { Integer w,Integer h,Cardinal nc }
+  Gr_Width_Height_Color_Text           = 10; { Integer w,Integer h,Cardinal nc }
+  Gr_Custom_Graphics                   = 11; { Integer w,Integer h,Cardinal nc,Integer vx,Integer vy }
   { ==== equivalent modes which do not clear the video memory ==== }
   Gr_NC_80_25_Text                     = 12;
   Gr_NC_Default_Text                   = 13;
@@ -107,17 +112,17 @@
   Gr_NC_Width_Height_Graphics          = 18; { Integer w,Integer h }
   Gr_NC_Biggest_Noninterlaced_Graphics = 19;
   Gr_NC_Biggest_Graphics               = 20;
-  Gr_NC_Width_Height_Color_Graphics    = 21; { Integer w,Integer h,Word nc }
-  Gr_NC_Width_Height_Color_Text        = 22; { Integer w,Integer h,Word nc }
-  Gr_NC_Custom_Graphics                = 23; { Integer w,Integer h,Word nc,Integer vx,Integer vy }
+  Gr_NC_Width_Height_Color_Graphics    = 21; { Integer w,Integer h,Cardinal nc }
+  Gr_NC_Width_Height_Color_Text        = 22; { Integer w,Integer h,Cardinal nc }
+  Gr_NC_Custom_Graphics                = 23; { Integer w,Integer h,Cardinal nc,Integer vx,Integer vy }
   { ==== plane instead of color based modes ==== }
   { colors = 1 << bpp  >>> resort enum for GRX3 <<< }
-  Gr_Width_Height_BPP_Graphics         = 24; { int w,int h,int bpp }
-  Gr_Width_Height_BPP_Text             = 25; { int w,int h,int bpp }
-  Gr_Custom_BPP_Graphics               = 26; { int w,int h,int bpp,int vx,int vy }
-  Gr_NC_Width_Height_BPP_Graphics      = 27; { int w,int h,int bpp }
-  Gr_NC_Width_Height_BPP_Text          = 28; { int w,int h,int bpp }
-  Gr_NC_Custom_BPP_Graphics            = 29; { int w,int h,int bpp,int vx,int vy }
+  Gr_Width_Height_BPP_Graphics         = 24; { Integer w,Integer h,Integer bpp }
+  Gr_Width_Height_BPP_Text             = 25; { Integer w,Integer h,Integer bpp }
+  Gr_Custom_BPP_Graphics               = 26; { Integer w,Integer h,Integer bpp,Integer vx,Integer vy }
+  Gr_NC_Width_Height_BPP_Graphics      = 27; { Integer w,Integer h,Integer bpp }
+  Gr_NC_Width_Height_BPP_Text          = 28; { Integer w,Integer h,Integer bpp }
+  Gr_NC_Custom_BPP_Graphics            = 29; { Integer w,Integer h,Integer bpp,Integer vx,Integer vy }
 
   { Available frame modes (video memory layouts) }
 
@@ -195,27 +200,27 @@
   GrVideoDriverPtr = ^GrVideoDriver;
   GrVideoDriver = record
     Name      : CString;           { driver name }
-    Adapter   : Integer;           { adapter type }
+    Adapter   : CInteger;          { adapter type }
     Inherit   : GrVideoDriverPtr;  { inherit video modes from this }
     Modes     : GrVideoModePtr;    { table of supported modes }
-    NModes    : Integer;           { number of modes }
-    Detect    : function: Integer;
-    Init      : function (Options: CString): Integer;
+    NModes    : CInteger;          { number of modes }
+    Detect    : function: CInteger;
+    Init      : function (Options: CString): CInteger;
     Reset     : procedure;
-    SelectMode: function (Drv: GrVideoDriverPtr; w, h, BPP, txt: Integer; var ep: Cardinal): GrVideoModePtr;
-    DrvFlags  : Cardinal;
+    SelectMode: function (Drv: GrVideoDriverPtr; w, h, BPP, txt: CInteger; var ep: CCardinal): GrVideoModePtr;
+    DrvFlags  : CCardinal
   end;
 
   { Video driver mode descriptor structure }
   { struct _GR_videoMode }
   GrVideoMode = record
-    Present     : ByteBool;         { is it really available? }
-    BPP         : Byte;             { log2 of # of colors }
-    Width,Height: ShortInt;         { video mode geometry }
-    Mode        : ShortInt;         { BIOS mode number (if any) }
-    LineOffset  : Integer;          { scan line length }
-    PrivData    : Integer;          { driver can use it for anything }
-    ExtInfo     : ^GrVideoModeExt;  { extra info (maybe shared) }
+    Present: ByteBool;        { is it really available? }
+    BPP: Byte;                { log2 of # of colors }
+    Width, Height,            { video mode geometry }
+    Mode: ShortInt;           { BIOS mode number (if any) }
+    LineOffset,               { scan line length }
+    PrivData: CInteger;       { driver can use it for anything }
+    ExtInfo: ^GrVideoModeExt  { extra info (maybe shared) }
   end;
 
   { Video driver mode descriptor extension structure. This is a separate
@@ -224,21 +229,21 @@
     extended info. }
 
   { struct _GR_videoModeExt }
-  Int2 = array [0 .. 1] of Integer;
+  Int2 = array [0 .. 1] of CInteger;
   GrVideoModeExt = record
-    Mode        : Integer;                     { frame driver for this video mode }
+    Mode        : CInteger;                    { frame driver for this video mode }
     Drv         : ^GrFrameDriver;              { optional frame driver override }
     Frame       : MemPtr;                      { frame buffer address }
     CPrec       : array [1 .. 3] of ByteCard;  { color component precisions }
     CPos        : array [1 .. 3] of ByteCard;  { color component bit positions }
-    Flags       : Integer;                     { mode flag bits; see "grdriver.h" }
-    Setup       : function (var md: GrVideoMode; NoClear: Integer): Integer;
-    SetVSize    : function (var md: GrVideoMode; w, h: Integer; var Result: GrVideoMode): Integer;
-    Scroll      : function (var md: GrVideoMode; x, y: Integer; var Result: Int2): Integer;
-    SetBank     : procedure (bk: Integer);
-    SetRWBanks  : procedure (rb, wb: Integer);
-    LoadColor   : procedure (c, r, g, b: Integer);
-    LFB_Selector: Integer;
+    Flags       : CInteger;                    { mode flag bits; see "grdriver.h" }
+    Setup       : function (var md: GrVideoMode; NoClear: CInteger): CInteger;
+    SetVSize    : function (var md: GrVideoMode; w, h: CInteger; var Result: GrVideoMode): CInteger;
+    Scroll      : function (var md: GrVideoMode; x, y: CInteger; var Result: Int2): CInteger;
+    SetBank     : procedure (bk: CInteger);
+    SetRWBanks  : procedure (rb, wb: CInteger);
+    LoadColor   : procedure (c, r, g, b: CInteger);
+    LFB_Selector: CInteger
   end;
 
   GrFrameDriverPtr = ^GrFrameDriver;
@@ -248,59 +253,59 @@
     gf_Selector  : ShortInt;                  { frame memory segment selector }
     gf_OnScreen  : ByteBool;                  { is it in video memory ? }
     gf_MemFlags  : Byte;                      { memory allocation flags }
-    gf_LineOffset: Integer;                   { offset to next scan line in bytes }
-    gf_Driver    : GrFrameDriverPtr;          { frame access functions }
+    gf_LineOffset: CInteger;                  { offset to next scan line in bytes }
+    gf_Driver    : GrFrameDriverPtr           { frame access functions }
   end;
 
   { The frame driver descriptor structure. }
 
   { struct _GR_frameDriver }
   GrFrameDriver = record
-    Mode              : Integer; { supported frame access mode }
-    RMode             : Integer; { matching RAM frame (if video) }
-    Is_Video          : Integer; { video RAM frame driver ? }
-    Row_Align         : Integer; { scan line size alignment }
-    Num_Planes        : Integer; { number of planes }
-    Bits_Per_Pixel    : Integer; { bits per pixel }
-    Max_Plane_Size    : MedInt;  { maximum plane size in bytes }
-    Init              : function (var md: GrVideoMode): Integer;
-    ReadPixel         : function (var c: GrFrameType; x, y: Integer): GrColor;
-    DrawPixel         : procedure (x, y: Integer; c: GrColor);
-    DrawLine          : procedure (x, y, dx, dy: Integer; c: GrColor);
-    DrawHLine         : procedure (x, y, w: Integer; c: GrColor);
-    DrawVLine         : procedure (x, y, h: Integer; c: GrColor);
-    DrawBlock         : procedure (x, y, w, h: Integer; c: GrColor);
-    DrawBitmap        : procedure (x, y, w, h: Integer; BMP: MemPtr; Pitch, Start: Integer; fg, bg: GrColor);
-    DrawPattern       : procedure (x, y, w: Integer; Patt: Byte; fg, bg: GrColor);
-    BitBlt            : procedure (var Dst: GrFrameType; dx, dy: Integer; var Src: GrFrameType; x, y, w, h: Integer; Op: GrColor);
-    BltV2R            : procedure (var Dst: GrFrameType; dx, dy: Integer; var Src: GrFrameType; x, y, w, h: Integer; Op: GrColor);
-    BltR2V            : procedure (var Dst: GrFrameType; dx, dy: Integer; var Src: GrFrameType; x, y, w, h: Integer; Op: GrColor);
-    GetIndexedScanline: function (var c: GrFrameType; x, y, w: Integer; var Index: Integer): GrColorsPtr;
-    PutScanLine       : procedure (x, y, w: Integer; scl: GrColorsPtr; Op: GrColor);
+    Mode,                         { supported frame access mode }
+    RMode,                        { matching RAM frame (if video) }
+    Is_Video,                     { video RAM frame driver ? }
+    Row_Align,                    { scan line size alignment }
+    Num_Planes,                   { number of planes }
+    Bits_Per_Pixel    : CInteger; { bits per pixel }
+    Max_Plane_Size    : MedInt;   { maximum plane size in bytes }
+    Init              : function (var md: GrVideoMode): CInteger;
+    ReadPixel         : function (var c: GrFrameType; x, y: CInteger): GrColor;
+    DrawPixel         : procedure (x, y: CInteger; c: GrColor);
+    DrawLine          : procedure (x, y, dx, dy: CInteger; c: GrColor);
+    DrawHLine         : procedure (x, y, w: CInteger; c: GrColor);
+    DrawVLine         : procedure (x, y, h: CInteger; c: GrColor);
+    DrawBlock         : procedure (x, y, w, h: CInteger; c: GrColor);
+    DrawBitmap        : procedure (x, y, w, h: CInteger; BMP: MemPtr; Pitch, Start: CInteger; fg, bg: GrColor);
+    DrawPattern       : procedure (x, y, w: CInteger; Patt: Byte; fg, bg: GrColor);
+    BitBlt            : procedure (var Dst: GrFrameType; dx, dy: CInteger; var Src: GrFrameType; x, y, w, h: CInteger; Op: GrColor);
+    BltV2R            : procedure (var Dst: GrFrameType; dx, dy: CInteger; var Src: GrFrameType; x, y, w, h: CInteger; Op: GrColor);
+    BltR2V            : procedure (var Dst: GrFrameType; dx, dy: CInteger; var Src: GrFrameType; x, y, w, h: CInteger; Op: GrColor);
+    GetIndexedScanline: function (var c: GrFrameType; x, y, w: CInteger; var Index: CInteger): GrColorsPtr;
+    PutScanLine       : procedure (x, y, w: CInteger; scl: GrColorsPtr; Op: GrColor);
   end;
 
   { driver and mode info structure }
 
   { extern const struct _GR_driverInfo }
   GrDriverInfoType = record
-    VDriver    : GrVideoDriverPtr;             { the current video driver }
-    CurMode    : GrVideoModePtr;               { current video mode pointer }
-    ActMode    : GrVideoMode;                  { copy of above, resized if virtual }
-    FDriver    : GrFrameDriver;                { frame driver for the current context }
-    SDriver    : GrFrameDriver;                { frame driver for the screen }
-    TDriver    : GrFrameDriver;                { a dummy driver for text modes }
-    MCode      : Integer;                      { code for the current mode }
-    DefTW,DefTH: Integer;                      { default text mode size }
-    DefGW,DefGH: Integer;                      { default graphics mode size }
-    DefTC,DefGC: GrColor;                      { default text and graphics colors }
-    VPosX,VPosY: Integer;                      { current virtual viewport position }
-    ErrsFatal  : Integer;                      { if set, exit upon errors }
-    ModeRestore: Integer;                      { restore startup video mode if set }
-    SplitBanks : Integer;                      { indicates separate R/W banks }
-    CurBank    : Integer;                      { currently mapped bank }
-    MdSetHook  : procedure;                    { callback for mode set }
-    SetBank    : procedure (bk: Integer);      { banking routine }
-    SetRWBanks : procedure (rb, wb: Integer);  { split banking routine }
+    VDriver    : GrVideoDriverPtr;              { the current video driver }
+    CurMode    : GrVideoModePtr;                { current video mode pointer }
+    ActMode    : GrVideoMode;                   { copy of above, resized if virtual }
+    FDriver,                                    { frame driver for the current context }
+    SDriver,                                    { frame driver for the screen }
+    TDriver    : GrFrameDriver;                 { a dummy driver for text modes }
+    MCode,                                      { code for the current mode }
+    DefTW,DefTH,                                { default text mode size }
+    DefGW,DefGH: CInteger;                      { default graphics mode size }
+    DefTC,DefGC: GrColor;                       { default text and graphics colors }
+    VPosX,VPosY,                                { current virtual viewport position }
+    ErrsFatal,                                  { if set, exit upon errors }
+    ModeRestore,                                { restore startup video mode if set }
+    SplitBanks,                                 { indicates separate R/W banks }
+    CurBank    : CInteger;                      { currently mapped bank }
+    MdSetHook  : procedure;                     { callback for mode set }
+    SetBank    : procedure (bk: CInteger);      { banking routine }
+    SetRWBanks : procedure (rb, wb: CInteger);  { split banking routine }
   end;
 
 var
@@ -308,26 +313,26 @@
 
 { setup stuff }
 
-function  GrSetDriver(DrvSpec: CString):Integer; asmname 'GrSetDriver';
-function  GrSetMode(m, w, h, nc, vx, vy:Integer):Integer; asmname 'GrSetMode';
-function  GrSetViewport(XPos, YPos: Integer):Integer; asmname 'GrSetViewport';
+function  GrSetDriver(DrvSpec: CString):CInteger; asmname 'GrSetDriver';
+function  GrSetMode(m, w, h, nc, vx, vy:CInteger):CInteger; asmname 'GrSetMode';
+function  GrSetViewport(XPos, YPos: CInteger):CInteger; asmname 'GrSetViewport';
 procedure GrSetModeHook(HookFunc:Pointer); asmname 'GrSetModeHook';
 procedure GrSetModeRestore(RestoreFlag:Boolean); asmname 'GrSetModeRestore';
 
 procedure GrSetErrorHandling(ExitIfError:Boolean); asmname 'GrSetErrorHandling';
-procedure GrSetEGAVGAmonoDrawnPlane(Plane:Integer); asmname 'GrSetEGAVGAmonoDrawnPlane';
-procedure GrSetEGAVGAmonoShownPlane(Plane:Integer); asmname 'GrSetEGAVGAmonoShownPlane';
+procedure GrSetEGAVGAmonoDrawnPlane(Plane:CInteger); asmname 'GrSetEGAVGAmonoDrawnPlane';
+procedure GrSetEGAVGAmonoShownPlane(Plane:CInteger); asmname 'GrSetEGAVGAmonoShownPlane';
 
-function  GrGetLibraryVersion: Integer; asmname 'GrGetLibraryVersion';
-function  GrGetLibrarySystem: Integer; asmname 'GrGetLibrarySystem';
+function  GrGetLibraryVersion: CInteger; asmname 'GrGetLibraryVersion';
+function  GrGetLibrarySystem: CInteger; asmname 'GrGetLibrarySystem';
 
 { inquiry stuff ---- many of these can be macros }
 
-function  GrCurrentMode:Integer; asmname 'GrCurrentMode';
-function  GrAdapterType:Integer; asmname 'GrAdapterType';
-function  GrCurrentFrameMode:Integer; asmname 'GrCurrentFrameMode';
-function  GrScreenFrameMode:Integer; asmname 'GrScreenFrameMode';
-function  GrCoreFrameMode:Integer; asmname 'GrCoreFrameMode';
+function  GrCurrentMode:CInteger; asmname 'GrCurrentMode';
+function  GrAdapterType:CInteger; asmname 'GrAdapterType';
+function  GrCurrentFrameMode:CInteger; asmname 'GrCurrentFrameMode';
+function  GrScreenFrameMode:CInteger; asmname 'GrScreenFrameMode';
+function  GrCoreFrameMode:CInteger; asmname 'GrCoreFrameMode';
 
 function  GrCurrentVideoDriver: GrVideoDriverPtr; asmname 'GrCurrentVideoDriver' ;
 function  GrCurrentVideoMode:GrVideoModePtr; asmname 'GrCurrentVideoMode';
@@ -335,28 +340,28 @@
 function  GrCurrentFrameDriver: GrFrameDriverPtr; asmname 'GrCurrentFrameDriver';
 function  GrScreenFrameDriver: GrFrameDriverPtr; asmname 'GrScreenFrameDriver';
 
-function  GrFirstVideoMode(FMode:Integer):GrVideoModePtr; asmname 'GrFirstVideoMode';
+function  GrFirstVideoMode(FMode:CInteger):GrVideoModePtr; asmname 'GrFirstVideoMode';
 function  GrNextVideoMode(Prev:GrVideoModePtr):GrVideoModePtr; asmname 'GrNextVideoMode';
 
-function  GrScreenX:Integer; asmname 'GrScreenX';
-function  GrScreenY:Integer; asmname 'GrScreenY';
-function  GrVirtualX:Integer; asmname 'GrVirtualX';
-function  GrVirtualY:Integer; asmname 'GrVirtualY';
-function  GrViewportX:Integer; asmname 'GrViewportX';
-function  GrViewportY:Integer; asmname 'GrViewportY';
+function  GrScreenX:CInteger; asmname 'GrScreenX';
+function  GrScreenY:CInteger; asmname 'GrScreenY';
+function  GrVirtualX:CInteger; asmname 'GrVirtualX';
+function  GrVirtualY:CInteger; asmname 'GrVirtualY';
+function  GrViewportX:CInteger; asmname 'GrViewportX';
+function  GrViewportY:CInteger; asmname 'GrViewportY';
 function  GrScreenIsVirtual:Boolean; asmname 'GrScreenIsVirtual';
 
 { RAM context geometry and memory allocation inquiry stuff }
 
-function  GrFrameNumPlanes(md:Integer):Integer; asmname 'GrFrameNumPlanes';
-function  GrFrameLineOffset(md,Width:Integer):Integer; asmname 'GrFrameLineOffset';
-function  GrFramePlaneSize(md,w,h:Integer):Integer; asmname 'GrFramePlaneSize';
-function  GrFrameContextSize(md,w,h:Integer):Integer; asmname 'GrFrameContextSize';
-
-function  GrNumPlanes:Integer; asmname 'GrNumPlanes';
-function  GrLineOffset(Width:Integer):Integer; asmname 'GrLineOffset';
-function  GrPlaneSize(w,h:Integer):Integer; asmname 'GrPlaneSize';
-function  GrContextSize(w,h:Integer):Integer; asmname 'GrContextSize';
+function  GrFrameNumPlanes(md:CInteger):CInteger; asmname 'GrFrameNumPlanes';
+function  GrFrameLineOffset(md,Width:CInteger):CInteger; asmname 'GrFrameLineOffset';
+function  GrFramePlaneSize(md,w,h:CInteger):CInteger; asmname 'GrFramePlaneSize';
+function  GrFrameContextSize(md,w,h:CInteger):CInteger; asmname 'GrFrameContextSize';
+
+function  GrNumPlanes:CInteger; asmname 'GrNumPlanes';
+function  GrLineOffset(Width:CInteger):CInteger; asmname 'GrLineOffset';
+function  GrPlaneSize(w,h:CInteger):CInteger; asmname 'GrPlaneSize';
+function  GrContextSize(w,h:CInteger):CInteger; asmname 'GrContextSize';
 
 { ==================================================================
             FRAME BUFFER, CONTEXT AND CLIPPING STUFF
@@ -366,54 +371,54 @@
   { struct _GR_context }
   GrContextPtr = ^GrContext;
   GrContext = record
-    gc_Frame    : GrFrameType;   { frame buffer info }
-    gc_Root     : GrContextPtr;  { context which owns frame }
-    gc_XMax     : Integer;       { max X coord (width  - 1) }
-    gc_YMax     : Integer;       { max Y coord (height - 1) }
-    gc_XOffset  : Integer;       { X offset from root's base }
-    gc_YOffset  : Integer;       { Y offset from root's base }
-    gc_XClipLo  : Integer;       { low X clipping limit }
-    gc_YClipLo  : Integer;       { low Y clipping limit }
-    gc_XClipHi  : Integer;       { high X clipping limit }
-    gc_YClipHi  : Integer;       { high Y clipping limit }
-    gc_UsrXBase : Integer;       { user window min X coordinate }
-    gc_UsrYBase : Integer;       { user window min Y coordinate }
-    gc_UsrWidth : Integer;       { user window width  }
-    gc_UsrHeight: Integer;       { user window height }
+    gc_Frame: GrFrameType;  { frame buffer info }
+    gc_Root: GrContextPtr;  { context which owns frame }
+    gc_XMax,                { max X coord (width  - 1) }
+    gc_YMax,                { max Y coord (height - 1) }
+    gc_XOffset,             { X offset from root's base }
+    gc_YOffset,             { Y offset from root's base }
+    gc_XClipLo,             { low X clipping limit }
+    gc_YClipLo,             { low Y clipping limit }
+    gc_XClipHi,             { high X clipping limit }
+    gc_YClipHi,             { high Y clipping limit }
+    gc_UsrXBase,            { user window min X coordinate }
+    gc_UsrYBase,            { user window min Y coordinate }
+    gc_UsrWidth,            { user window width  }
+    gc_UsrHeight: CInteger  { user window height }
   end;
 
   { extern const struct _GR_contextInfo }
   GrContextInfoType = record
-    Current: GrContext;  { the current context }
-    Screen : GrContext;  { the screen context }
+    Current,           { the current context }
+    Screen: GrContext  { the screen context }
   end;
 
 var
   GrContextInfo: GrContextInfoType; varasmname 'GrContextInfo';
 
-function  GrCreateContext(w, h: Integer; Memory: MemPtr; Where: GrContextPtr): GrContextPtr; asmname 'GrCreateContext';
-function  GrCreateFrameContext(md: ByteCard; w, h: Integer; Memory: MemPtr; Where: GrContextPtr): GrContextPtr; asmname 'GrCreateFrameContext';
-function  GrCreateSubContext(x1, y1, x2, y2: Integer; Parent, Where: GrContextPtr): GrContextPtr; asmname 'GrCreateSubContext';
+function  GrCreateContext(w, h: CInteger; Memory: MemPtr; Where: GrContextPtr): GrContextPtr; asmname 'GrCreateContext';
+function  GrCreateFrameContext(md: ByteCard; w, h: CInteger; Memory: MemPtr; Where: GrContextPtr): GrContextPtr; asmname 'GrCreateFrameContext';
+function  GrCreateSubContext(x1, y1, x2, y2: CInteger; Parent, Where: GrContextPtr): GrContextPtr; asmname 'GrCreateSubContext';
 function  GrSaveContext(Where: GrContextPtr): GrContextPtr; asmname 'GrSaveContext';
 function  GrCurrentContext: GrContextPtr; asmname 'GrCurrentContext';
 function  GrScreenContext: GrContextPtr; asmname 'GrScreenContext';
 
 procedure GrDestroyContext(Context: GrContextPtr); asmname 'GrDestroyContext';
-procedure GrResizeSubContext(Context: GrContextPtr; x1, y1, x2, y2: Integer); asmname 'GrResizeSubContext';
+procedure GrResizeSubContext(Context: GrContextPtr; x1, y1, x2, y2: CInteger); asmname 'GrResizeSubContext';
 procedure GrSetContext(Context: GrContextPtr); asmname 'GrSetContext';
 
-procedure GrSetClipBox(x1, y1, x2, y2:Integer); asmname 'GrSetClipBox';
-procedure GrGetClipBox(var x1p, y1p, x2p, y2p: Integer); asmname 'GrGetClipBox';
+procedure GrSetClipBox(x1, y1, x2, y2:CInteger); asmname 'GrSetClipBox';
+procedure GrGetClipBox(var x1p, y1p, x2p, y2p: CInteger); asmname 'GrGetClipBox';
 procedure GrResetClipBox; asmname 'GrResetClipBox';
 
-function  GrMaxX: Integer; asmname 'GrMaxX';
-function  GrMaxY: Integer; asmname 'GrMaxY';
-function  GrSizeX:Integer; asmname 'GrSizeX';
-function  GrSizeY:Integer; asmname 'GrSizeY';
-function  GrLowX: Integer; asmname 'GrLowX';
-function  GrLowY: Integer; asmname 'GrLowY';
-function  GrHighX:Integer; asmname 'GrHighX';
-function  GrHighY:Integer; asmname 'GrHighY';
+function  GrMaxX: CInteger; asmname 'GrMaxX';
+function  GrMaxY: CInteger; asmname 'GrMaxY';
+function  GrSizeX:CInteger; asmname 'GrSizeX';
+function  GrSizeY:CInteger; asmname 'GrSizeY';
+function  GrLowX: CInteger; asmname 'GrLowX';
+function  GrLowY: CInteger; asmname 'GrLowY';
+function  GrHighX:CInteger; asmname 'GrHighX';
+function  GrHighY:CInteger; asmname 'GrHighY';
 
 { ==================================================================
                            COLOR STUFF
